Bug 1197138 - (CVE-2022-0667) VUL-0: CVE-2022-0667: bind: possible assertion failure when backstop lifetime timer has timed out
(CVE-2022-0667)
VUL-0: CVE-2022-0667: bind: possible assertion failure when backstop lifetime...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/326261/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-15 14:04 UTC by Alexander Bergmann
Modified: 2022-03-29 12:25 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2022-03-15 14:04:55 UTC
Via distros:

Date: Tue, 15 Mar 2022 13:38:28 +0000
From: ISC Security Officer <security-officer@isc.org>

CVE: CVE-2022-0667

Document version: 1.0

Posting date: 16 March 2022

Program impacted: BIND

Versions affected: BIND 9.18.0

Severity: High

Exploitable: Remotely

Description:

In BIND 9.18.0 the recursive client code was refactored. This refactoring
introduced a "backstop lifetime timer."

While BIND is processing a request for a DS record that needs to be
forwarded, it waits until this processing is complete or until the
backstop lifetime timer has timed out. When the resume_dslookup() function
is called as a result of such a timeout, the function does not test
whether the fetch has previously been shut down. This introduces the
possibility of triggering an assertion failure, which could cause the BIND
process to terminate.

Only the BIND 9.18 branch is affected.

Impact:

When the vulnerability is triggered the BIND process will exit.

CVSS Score: 7.0

CVSS Vector: CVSS:3.1:AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:F/RL:O/RC:C

For more information on the Common Vulnerability Scoring System and to
obtain your specific environmental score, please visit:
https://nvd.nist.gov/vuln-metrics/cvss/v3-calculator?vector=AV:N/AC:L/PR:N/
UI:N/S:U/C:N/I:N/A:H/E:F/RL:O/RC:C.

Workarounds:

No workarounds known.

Active exploits:

We are not aware of any active exploits.

Solution:

     Users of BIND 9.18.0 should upgrade to BIND 9.18.1

Document revision history:

1.0 Early Notification, 9 March 2022

Related documents:

See our BIND 9 Security Vulnerability Matrix for a complete listing of
security vulnerabilities and versions affected.

Do you still have questions? Questions regarding this advisory should go
to security-officer@isc.org. To report a new issue, please encrypt your
message using security-officer@isc.org's PGP key which can be found here:
https://www.isc.org/pgpkey/. If you are unable to use encrypted email, you
may also report new issues at: https://www.isc.org/reportbug/.

Note:

ISC patches only currently supported versions. When possible we indicate
EOL versions affected. (For current information on which versions are
actively supported, please see https://www.isc.org/download/.)

ISC Security Vulnerability Disclosure Policy:

Details of our current security advisory policy and practice can be found
in the ISC Software Defect and Security Vulnerability Disclosure Policy at
https://kb.isc.org/docs/aa-00861.

This Knowledgebase article https://kb.isc.org/docs/cve-2022-0667 is the
complete and official security advisory document.

Legal Disclaimer:

Internet Systems Consortium (ISC) is providing this notice on an "AS IS"
basis. No warranty or guarantee of any kind is expressed in this notice
and none should be implied. ISC expressly excludes and disclaims any
warranties regarding this notice or materials referred to in this notice,
including, without limitation, any implied warranty of merchantability,
fitness for a particular purpose, absence of hidden defects, or of
non-infringement. Your use or reliance on this notice or materials
referred to in this notice is at your own risk. ISC may change this notice
at any time. A stand-alone copy or paraphrase of the text of this document
that omits the document URL is an uncontrolled copy. Uncontrolled copies
may lack important information, be out of date, or contain factual errors.
Comment 2 Alexander Bergmann 2022-03-15 15:36:20 UTC
Created attachment 857004 [details]
bind-9.18.1-0004-CVE-2022-0667.patch
Comment 3 Gianluca Gabrielli 2022-03-17 07:56:23 UTC
Public: https://kb.isc.org/docs/cve-2022-0667
Comment 4 Josef Möllers 2022-03-22 08:10:00 UTC
This bug applies only to factory, fixed with upgrade to 9.18.1:
https://build.opensuse.org/request/show/963527
Comment 5 Gianluca Gabrielli 2022-03-29 12:25:08 UTC
done